# modules/app_lcd/juce/app_lcd.cpp File Reference

`#include <mios32.h>`
`#include "app_lcd.h"`
`#include "CLCDView.h"`
`#include <map>`

## Functions
s32 | APP_LCD_Init (u32 mode)
s32 | APP_LCD_Data (u8 data)
s32 | APP_LCD_Cmd (u8 cmd)
s32 | APP_LCD_Clear (void)
s32 | APP_LCD_CursorSet (u16 column, u16 line)
s32 | APP_LCD_GCursorSet (u16 x, u16 y)
s32 | APP_LCD_SpecialCharInit (u8 num, u8 table[8])
s32 | APP_LCD_BColourSet (u32 rgb)
s32 | APP_LCD_FColourSet (u32 rgb)
s32 | APP_LCD_BitmapPixelSet (mios32_lcd_bitmap_t bitmap, u16 x, u16 y, u32 colour)
s32 | APP_LCD_BitmapPrint (mios32_lcd_bitmap_t bitmap)
CLcdView * | APP_LCD_GetComponentPtr (u8 device)
CLcdView * | APP_LCD_GetComponentPtr (u8 device, unsigned originx, unsigned originy)
## Variables
volatile u32 | display_available = 0
std::map< unsigned char, CLcdView * > | cLcdView

## Function Documentation

s32 APP_LCD_BColourSet | ( | u32 | rgb | ) |

s32 APP_LCD_BitmapPixelSet | ( | mios32_lcd_bitmap_t | bitmap,
|  | u16 | x,
|  | u16 | y,
|  | u32 | colour |
| ) |  |  |

s32 APP_LCD_BitmapPrint | ( | mios32_lcd_bitmap_t | bitmap | ) |

s32 APP_LCD_Clear | ( | void |  | ) |

Here is the call graph for this function:

s32 APP_LCD_Cmd | ( | u8 | cmd | ) |

s32 APP_LCD_CursorSet | ( | u16 | column,
|  | u16 | line |
| ) |  |  |

Here is the call graph for this function:

s32 APP_LCD_Data | ( | u8 | data | ) |

s32 APP_LCD_FColourSet | ( | u32 | rgb | ) |

s32 APP_LCD_GCursorSet | ( | u16 | x,
|  | u16 | y |
| ) |  |  |

CLcdView* APP_LCD_GetComponentPtr | ( | u8 | device,
|  | unsigned | originx,
|  | unsigned | originy |
| ) |  |  |

Here is the call graph for this function:

CLcdView* APP_LCD_GetComponentPtr | ( | u8 | device | ) |

Here is the call graph for this function:

s32 APP_LCD_Init | ( | u32 | mode | ) |

Here is the call graph for this function:

s32 APP_LCD_SpecialCharInit | ( | u8 | num,
|  | u8 | table[8] |
| ) |  |  |

Here is the call graph for this function:

## Variable Documentation

std::map<unsigned char, CLcdView *> cLcdView

volatile u32 display_available = 0